\section{Linear Transformations}
Given two vector spaces U and V, a linear transformation $T$ is a function $T : U \to V$ such that for all $u_1,u_2\in U$ and $\alpha\in\mathbb{R}$ we have
\begin{equation}
  T(u_1+u_2)=T(u_1)+T(u_2) \quad \text{and} \quad T(\alpha u_1) = \alpha T(u_1)
\end{equation}
This can be understood as a transformation of space s.t. the origin remains fixed and parallel lines remain parallel.
We can describe such a linear transformation through a matrix, each column in the matrix, describing what happens to the basis vectors when the transformation is applied.
\begin{equation}
  T(x)=x_1T(e_1)+\dots+x_nT(e_n)=\begin{bmatrix}
    | & & |\\
    T(e_1)&\cdots&T(e_n)\\
    | & & |
  \end{bmatrix}\begin{bmatrix}
    x_1\\\vdots\\x_n
  \end{bmatrix}=Ax
\end{equation}
\begin{minipage}{\textwidth}
  \paragraph{Examples} Some examples of linear transformations.
  \begin{multicols}{2}
    \begin{center}
      \begin{tikzpicture}[scale=0.8]
        \tkzInit[xmax=6,ymax=6,xmin=-1,ymin=-1]
        \tkzGrid
        \tkzDrawX\tkzDrawY
        \begin{scope}[very thick]
          \draw (2,3)--(1,3)--(1,2)--(2,2)--(1,2)--(1,1)--(2,1);
          \draw (2.2,3)--(3,3)--(3,1)--(3,3)--(3.8,3);
          \draw (4,1)--(4,3)--(4,2)--(5,2)--(5,3)--(5,1);
        \end{scope}
        \fill[red] (0,0)--(1,0)--(1,1)--(0,1);
        \begin{scope}[]
          \node[circle,fill,scale=0.5,gray] at (0,0) {};
          \node[circle,fill,scale=0.5,pink] at (1,0) {};
          \node[circle,fill,scale=0.5,blue] at (1,1) {};
          \node[circle,fill,scale=0.5,teal] at (0,1) {};
        \end{scope}
      \end{tikzpicture}\\[8pt]
      Original $\begin{bmatrix}1&0\\0&1\end{bmatrix}$\\
      \begin{tikzpicture}[scale=0.8]
        \tkzInit[xmax=6,ymax=6,xmin=-1,ymin=-1]
        \tkzGrid
        \tkzDrawX\tkzDrawY
        \begin{scope}[very thick]
          \draw (2,6)--(1,6)--(1,4)--(2,4)--(1,4)--(1,2)--(2,2);
          \draw (2.2,6)--(3,6)--(3,2)--(3,6)--(3.8,6);
          \draw (4,2)--(4,6)--(4,4)--(5,4)--(5,6)--(5,2);
        \end{scope}
        \fill[red] (0,0)--(1,0)--(1,2)--(0,2);
        \begin{scope}[]
          \node[circle,fill,scale=0.5,gray] at (0,0) {};
          \node[circle,fill,scale=0.5,pink] at (1,0) {};
          \node[circle,fill,scale=0.5,blue] at (1,2) {};
          \node[circle,fill,scale=0.5,teal] at (0,2) {};
        \end{scope}
      \end{tikzpicture}\\[8pt]
      Scaling with $\begin{bmatrix}1&0\\0&2\end{bmatrix}$\\
      \begin{tikzpicture}[scale=0.8]
        \tkzInit[xmax=6,ymax=6,xmin=-1,ymin=-1]
        \tkzGrid
        \tkzDrawX\tkzDrawY
        \begin{scope}[very thick]
          \draw (3,2)--(3,1)--(2,1)--(2,2)--(2,1)--(1,1)--(1,2);
          \draw (3,2.2)--(3,3)--(1,3)--(3,3)--(3,3.8);
          \draw (1,4)--(3,4)--(2,4)--(2,5)--(3,5)--(1,5);
        \end{scope}
        \fill[red] (0,0)--(0,1)--(1,1)--(1,0);
        \begin{scope}[]
          \node[circle,fill,scale=0.5,gray] at (0,0) {};
          \node[circle,fill,scale=0.5,pink] at (0,1) {};
          \node[circle,fill,scale=0.5,blue] at (1,1) {};
          \node[circle,fill,scale=0.5,teal] at (1,0) {};
        \end{scope}
      \end{tikzpicture}\\[8pt]
      Mirroring $\begin{bmatrix}0&1\\1&0\end{bmatrix}$\\
      \begin{tikzpicture}[scale=0.8]
        \tkzInit[xmax=6,ymax=6,xmin=-1,ymin=-1]
        \tkzGrid
        \tkzDrawX\tkzDrawY
        \begin{scope}[very thick]
          \draw (3.5,3)--(2.5,3)--(2,2)--(3,2)--(2,2)--(1.5,1)--(2.5,1);
          \draw (3.7,3)--(4.5,3)--(3.5,1)--(4.5,3)--(5.3,3);
          \draw (4.5,1)--(5.5,3)--(5,2)--(6,2)--(6.5,3)--(5.5,1);
        \end{scope}
        \fill[red] (0,0)--(1,0)--(1.5,1)--(0.5,1);
        \begin{scope}[]
          \node[circle,fill,scale=0.5,gray] at (0,0) {};
          \node[circle,fill,scale=0.5,pink] at (1,0) {};
          \node[circle,fill,scale=0.5,blue] at (1.5,1) {};
          \node[circle,fill,scale=0.5,teal] at (0.5,1) {};
        \end{scope}
      \end{tikzpicture}\\[8pt]
      Shear $\begin{bmatrix}1&\frac12\\0&1\end{bmatrix}$\\
    \end{center}
  \end{multicols}
\end{minipage}
\subsection{The Determinant}
The determinant describes how the unit-space changes, so in 2D the area of the unit square\footnote{red square in the examples above} after the transformation.


If the matrix does not have full rank, we will lose one dimension through the transformation, the unit-space loses one dimension aswell and thus the determinant will be 0.


The determinant can have a negative value if the unit-space has been flipped in an higher dimension\footnote{for example mirroring}.
\subsubsection{Calculating the determinant}
Calculating the determinant isn't easy, that's why we need to astablish some things first.
\paragraph{Permutations} are all the ways to order $n$ numbers.
We assign a function describing a certain permutation the symbol $\sigma$.
\paragraph{The sign of a permutation} The sign of a permutation is defined by the amount of numbers that are out of order in the permutation.
\begin{equation}
  \sign(\sigma)=\begin{cases}
      1& \text{if } |\{(i,j)\in \{1,\dots,n\}\times\{1,\dots,n\}|i<j,\sigma(i)>\sigma(j)\}| \text{ is even}\\
    -1& \text{if } |\{(i,j)\in \{1,\dots,n\}\times\{1,\dots,n\}|i<j,\sigma(i)>\sigma(j)\}| \text{ is odd}
  \end{cases}
\end{equation}
\paragraph{Calculating the determinant}
To calculate the dererminant we sum the products of "all the ways to traverse the matrix", multiplied by the sign of the permutation.
\begin{equation}
  \det(A)=\sum_{\sigma\in\Pi_n}\sign(\sigma)\prod_{i=1}^nA_{i,\sigma(i)}
\end{equation}
This sum explodes very quickly since there are $n!$ permutations.
\subsubsection{Determinant for special matrices}
\paragraph{Triangular matrix $T$} \begin{equation}
  \det(T)=\prod_{k=1^n}T_{kk}
\end{equation}
\paragraph{Orthogonal matrix $Q$} \begin{equation}
  \det(Q)=1 \quad \text{or} \quad \det(Q)=-1
\end{equation}
\subsection{Eigenvalue and Eigenvectors}
\paragraph{Eigenvectors $v$} are the vectors and thiere multiples, which only get streched during a linear transformation.
\paragraph{Eigenvalues $\lambda$} describe how much a corresponding eigenvector gets scaled.
\begin{equation}
  Av=\lambda v
\end{equation}
\paragraph{Properties}
\subsubsection{Calculating Eigenvalues and it's eigenvectors}
We first calculate the eigenvalues by solving $\det(A-\lambda I)=0$
Afterwards we calculate the eigenvector by $(A-\lambda_iI)v=0$
\subsection{Change of Basis}
\subsection{Spectral Theorem}
\subsection{SVD}
We can diagonalize any matrix $A\in\mathbb{F}^{m\times n}$ as
\begin{equation}
  A = U\Sigma V^\top
\end{equation}
where $\Sigma$ is a diagonal matrix of sigular values, and $U$ and $V$ beeing the left and right singular vectors respectivly.
\paragraph{Left Singular Vectors} The eigenvectors of the matrix $AA^\top$.
\paragraph{Right Singular Vectors} The eigenvectors of the matrix $A^\top A$
\paragraph{Singular Values} The $\min\{m,n\}$-eigenvalues of $AA^\top$ or $A^\top A$.
